JsonSchema (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.schema

## Class JsonSchema

- java.lang.Object
- - org.codehaus.jackson.schema.JsonSchema

-     public class JsonSchema
      extends Object

  A `JsonNode` that represents a JSON-Schema instance.
  Author:
    Ryan Heaton
  See Also:
    JSON Schema

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonSchema(ObjectNode schema)` Main constructor for schema instances.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `static JsonNode` | `getDefaultSchemaNode()` Get the default schema node.
    `ObjectNode` | `getSchemaNode()` Method for accessing root JSON object of the contained schema.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonSchema

          public JsonSchema(ObjectNode schema)

      Main constructor for schema instances.

      This is the creator constructor used by Jackson itself when deserializing instances. It is so-called delegating creator, meaning that its argument will be bound by Jackson before constructor gets called.

  - ### Method Detail

    - #### getSchemaNode

          public ObjectNode getSchemaNode()

      Method for accessing root JSON object of the contained schema.

      Note: this method is specified with `JsonValue` annotation to represent serialization to use; same as if explicitly serializing returned object.

      Returns:
        Root node of the schema tree

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### getDefaultSchemaNode

          public static JsonNode getDefaultSchemaNode()

      Get the default schema node.
      Returns:
        The default schema node.